## sphinxcontrib-autofile 0.0.2

=== requirements.txt ===
#!/usr/bin/env -S pip install -r

# Support MyST.
myst-parser
sphinx

=== docs/requirements.txt ===
#!/usr/bin/env -S pip install -r

-e .
myst-parser
sphinxcontrib-eval
sphinxcontrib-requirements-txt

=== debian/changelog ===
sphinxcontrib-autofile (0.0.2-1) unstable; urgency=medium

  * No-change upload to unstable.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 23 Sep 2025 15:43:32 -0400

sphinxcontrib-autofile (0.0.2-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1115173)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Sep 2025 18:49:23 -0400

=== debian/control ===
Source: sphinxcontrib-autofile
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-myst-parser,
 python3-sphinx,
Standards-Version: 4.7.2
Homepage: https://github.com/sphinx-contrib/autofile
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-autofile
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-autofile.git

Package: python3-sphinxcontrib-autofile
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Extension to generate module information from a glob expression (Python 3)
 A Sphinx extension to generate module information for many files from
 a glob expression.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = sphinxcontrib-autofile

%:
	dh $@ --buildsystem=pybuild

# Upstream testsuite is a bit messy and they currently don't run it on
# CI, so let's disable it here too.
override_dh_auto_test:

# We don't generate docs for this package because it requires two
# other sphinxcontrib modules (requirements_txt and eval) that are
# still not packaged in Debian.  Moreover, there's a circular
# dependency between the documentation bits of sphinxcontrib.autofile
# and sphinxcontrib.requirements_txt.

=== debian/watch ===
Version: 5

Template: Github
Owner: sphinx-contrib
Project: autofile
